<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<HTML>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } 
	String persona = (String) session.getAttribute("persona");
	%>
	<%@ include file="/m05bIdioma.inc"%>

<head>
		<title><%= resTit.getString("titRelGrupos")%></title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_GRPRANGOS%>";
			detActual = '<%=resCM.getString("cmRelGrupos")%>';
			rutaCabecera="";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="FormRelGrupos" METHOD="POST">
<%

						m05bFileLog miLog = new m05bFileLog();
						int contador = 0;
						String sql = "", sql2 = "";
						String codigo="", nombre="", rango="";
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt = null;
                        ResultSet rs = null;
						
					try{
						session.removeAttribute("Grupos");
						codigo = request.getParameter("Codigo");
						if ((codigo == null) || (!(codigo.equals("Nuevo")))) {
						   if (codigo != null)
						   		codigo = codigo.toUpperCase();
						   nombre = request.getParameter("Nombre");
					   	   if (nombre != null)
						   		nombre = nombre.toUpperCase();
						   rango = request.getParameter("Rango");
						}

						sql = "select COD_GRUP_36, NVL("+campoTexto+"NOMBRE_36,NOMBRE_36), RANG_36 from M0536T00";
						if ( (codigo == null) || (codigo.equals("") ))
							sql2 = sql2;
						else{
							sql2 = sql2 + " where COD_GRUP_36 = ? ";
						}
						if ( (nombre == null) || (nombre.equals("")))
							sql2 = sql2;
						else{
							nombre = '%' + nombre + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where "+campoTexto+"NOMBRE_36 like ? ";
						 	else
						 		sql2 = sql2 + " and "+campoTexto+"NOMBRE_36 like ? ";
						}
						if ( (rango == null) || (rango.equals("")))
							sql2 = sql2;
						else{
							rango = '%' + rango + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where RANG_36 like ? ";
						 	else
						 		sql2 = sql2 + " and RANG_36 like ? ";
						}
						sql = sql + sql2 + " order by 1,2";
						miLog.addTraza(persona,"Rel Grupos JSP", "SQL: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
						
					    //m05bbBeginSelect(sql);
		                m05bConexion miConex = new m05bConexion();
                        conn = miConex.getConnection();
                        conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
                        pstmt = conn.prepareStatement(sql);
						if ((codigo == null) || (codigo.equals(""))  )  {
							contador = contador;
						} else{
							contador = contador + 1;
							pstmt.setString(contador, codigo);
						}
						if ( (nombre == null) || (nombre.equals("")) ) {
							
							contador = contador;
						} else{
							contador = contador + 1;
							pstmt.setString(contador, nombre);
						}
						if ( (rango == null) || (rango.equals("")) ) {
							contador = contador;
						} else{
							contador = contador + 1;
							pstmt.setString(contador, rango);
						}
						//m05bRS = m05bPStmt.executeQuery();
						
        		     
		                rs = pstmt.executeQuery();						
					    if (codigo==null||codigo.equals("")){
					        codigo="0";
					    }
					%>

					 <TABLE class="general">
					    <tr>
					      <td width="90%" align="right"> 
							<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />					      	
					      </td>
					      <td align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr>
					       <td class="searchTitle" width="20%"><%= res.getString("etCodigo")%></td>
					       <td class="searchTitle" width="40%"><%= res.getString("etNombre")%></td>
					       <td class="searchTitle" width="40%"><%= res.getString("etRangos")%></td>
					    </tr>
					 </TABLE>
						<TABLE class="general">
					<%	contador = 0;
						while (rs.next() == true){
							codigo = rs.getString("COD_GRUP_36");
							nombre= rs.getString(2);
							rango= rs.getString("RANG_36");
							if (rango == null)
						   		rango = "";
							contador = contador + 1;
					        %>
							<tr>
							   <td class="inputFieldTitle" width="20%"><FONT size="2"><A href="JavaScript:fncModificar('<%=codigo%>')"><%=codigo%></A></FONT></td>
					   		   <td class="inputFieldTitle" width="40%"><FONT size="2"><%=nombre%></FONT></td>
					   		   <td class="inputFieldTitle" width="40%"><FONT size="2"><%=rango%></FONT></td>
							</tr>
					<%}	
					  /*  int I = Integer.parseInt(codigo);
					    I++;*/
					%>
						    <tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="3"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>

<SCRIPT language=JavaScript>
	function fncNuevo() {
       		document.FormRelGrupos.action="m05bGruposJsp.jsp?Cod=&Mensaje=false";
       		//document.FormRelGrupos.action="m05bGruposJsp.jsp?Cod="+<%//=codigo%>+"&Mensaje=false";
       		document.FormRelGrupos.submit();
	}  // Fin funcion fncNuevo
	function fncModificar(codigo) {
            document.FormRelGrupos.action="m05bGenerarGruposServlet?Codigo=" + codigo + "&Mensaje=false";
            document.FormRelGrupos.submit();
    }  // Fin funcion fncModificar
    function fncEliminar(codigo) {
            document.FormRelGrupos.action="m05bGenerarGruposServlet?Codigo=" + codigo + "&Mensaje=false";
            document.FormRelGrupos.submit();
    }  // Fin funcion fncEliminar
    function fncImprimir() {
			var docu = document.FormRelGrupos;
        	docu.action="m05bGruposPDFJsp.jsp";
        	docu.submit();
    }  // Fin funcion fncImprimir
    setTimeout('initSlide();', 1);
</SCRIPT>
<%
		//m05bEndSelect();
		if (rs != null)
		    rs.close();
		if (pstmt != null)
		    pstmt.close();
		if (conn != null)
		    conn.close();
		
} catch (Exception SQLException) {
miLog.addTraza(SQLException);
}%>
</BODY>
</HTML>